aboutsummaryrefslogtreecommitdiffstats
path: root/vnfs/DAaaS/microservices/remote-config-operator/build
diff options
context:
space:
mode:
Diffstat (limited to 'vnfs/DAaaS/microservices/remote-config-operator/build')
-rw-r--r--vnfs/DAaaS/microservices/remote-config-operator/build/Dockerfile15
-rwxr-xr-xvnfs/DAaaS/microservices/remote-config-operator/build/bin/entrypoint12
-rwxr-xr-xvnfs/DAaaS/microservices/remote-config-operator/build/bin/user_setup13
3 files changed, 40 insertions, 0 deletions
diff --git a/vnfs/DAaaS/microservices/remote-config-operator/build/Dockerfile b/vnfs/DAaaS/microservices/remote-config-operator/build/Dockerfile
new file mode 100644
index 00000000..6c8d7ed8
--- /dev/null
+++ b/vnfs/DAaaS/microservices/remote-config-operator/build/Dockerfile
@@ -0,0 +1,15 @@
+FROM registry.access.redhat.com/ubi8/ubi-minimal:latest
+
+ENV OPERATOR=/usr/local/bin/remote-config-operator \
+ USER_UID=1001 \
+ USER_NAME=remote-config-operator
+
+# install operator binary
+COPY build/_output/bin/remote-config-operator ${OPERATOR}
+
+COPY build/bin /usr/local/bin
+RUN /usr/local/bin/user_setup
+
+ENTRYPOINT ["/usr/local/bin/entrypoint"]
+
+USER ${USER_UID}
diff --git a/vnfs/DAaaS/microservices/remote-config-operator/build/bin/entrypoint b/vnfs/DAaaS/microservices/remote-config-operator/build/bin/entrypoint
new file mode 100755
index 00000000..0312d7e8
--- /dev/null
+++ b/vnfs/DAaaS/microservices/remote-config-operator/build/bin/entrypoint
@@ -0,0 +1,12 @@
+#!/bin/sh -e
+
+# This is documented here:
+# https://docs.openshift.com/container-platform/3.11/creating_images/guidelines.html#openshift-specific-guidelines
+
+if ! whoami &>/dev/null; then
+ if [ -w /etc/passwd ]; then
+ echo "${USER_NAME:-remote-config-operator}:x:$(id -u):$(id -g):${USER_NAME:-remote-config-operator} user:${HOME}:/sbin/nologin" >> /etc/passwd
+ fi
+fi
+
+exec ${OPERATOR} $@
diff --git a/vnfs/DAaaS/microservices/remote-config-operator/build/bin/user_setup b/vnfs/DAaaS/microservices/remote-config-operator/build/bin/user_setup
new file mode 100755
index 00000000..1e36064c
--- /dev/null
+++ b/vnfs/DAaaS/microservices/remote-config-operator/build/bin/user_setup
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -x
+
+# ensure $HOME exists and is accessible by group 0 (we don't know what the runtime UID will be)
+mkdir -p ${HOME}
+chown ${USER_UID}:0 ${HOME}
+chmod ug+rwx ${HOME}
+
+# runtime user will need to be able to self-insert in /etc/passwd
+chmod g+rw /etc/passwd
+
+# no need for this script to remain in the image after running
+rm $0